Bug 102854 - yppasswd dies with segmentation fault
Summary: yppasswd dies with segmentation fault
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: yp-tools (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-21 21:02 UTC by Adam Thompson
Modified: 2015-01-08 00:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-26 15:17:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output (9.64 KB, text/plain)
2003-08-21 21:03 UTC, Adam Thompson
no flags Details
sysreport output (160.22 KB, application/octet-stream)
2003-09-17 01:47 UTC, Adam Thompson
no flags Details

Description Adam Thompson 2003-08-21 21:02:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.1.4322)

Description of problem:
[root@nodeb root]# yppasswd
Segmentation fault
[root@nodeb root]# 

or...

[root@nodeb root]# yppasswd dsmith2
Segmentation fault
[root@nodeb root]# 

or...

[root@nodeb root]# strace yppasswd          
   (see attachment)


Version-Release number of selected component (if applicable):
yp-tools-2.5-1

How reproducible:
Always

Steps to Reproduce:
see Description
    

Actual Results:  SIGSEVG

Expected Results:  password should have been changed on NIS server

Additional info:

Comment 1 Adam Thompson 2003-08-21 21:03:41 UTC
Created attachment 93831 [details]
strace output

Comment 2 Suzanne Hillman 2003-09-16 17:23:10 UTC
How was the machine in question set up? 

Was ypbind appropriately attached to a server? 

Was this a straight 2.1AS machine, or did it have some Quarterly Updates installed?

Any other information about the machine on which this was run would be
appreciated, as I would like to try to reproduce it.

Comment 3 Adam Thompson 2003-09-17 00:57:18 UTC
Cluster services too unstable on our hardware; without cluster, NIS is no 
longer needed.  Changed to low priority as a result.

Comment 4 Adam Thompson 2003-09-17 01:47:01 UTC
Created attachment 94543 [details]
sysreport output

System configuration information: Output from sysreport


Note You need to log in before you can comment on or make changes to this bug.